[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TPublishableVariantType.GetProperty

Read the property

## Declaration

Source position: variants.pp line 252

`public function TPublishableVariantType.GetProperty(`
`var Dest: tvardata;`
`const V: tvardata;`
`const Name: string`
`):Boolean; override;`

## Arguments

`Dest` |  | Value of the property
`V` |  | Variant to get property from.
`Name` |  | Name of property to read

## Function result

Always True.

## Description

GetProperty implements reading the property by looking for the property in the published properties of the instance returned by the IVarInstanceReference interface, and returning the value as a variant.

## See also

IVarInstanceReference |  | Interface for variants that refer to an object
IVarInvokeable.GetProperty |  | Called when a property must be read